Name:           python-setuptools-gettext
Version:        0.1.14
Release:        1%{?dist}
Summary:        Setuptools gettext extension plugin

License:        GPL-2.0-or-later
URL:            https://github.com/breezy-team/setuptools-gettext
Source:         %{pypi_source setuptools_gettext}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Setuptools helpers for gettext. Compile .po files into .mo files.

%package -n     python3-setuptools-gettext
Summary:        %{summary}

%description -n python3-setuptools-gettext
Setuptools helpers for gettext. Compile .po files into .mo files.

%prep
%autosetup -n setuptools_gettext-%{version}
rm -rf ./setuptools_gettext.egg-info
cat <<EOF > setup.py
#!/usr/bin/python3

from setuptools import setup, find_packages

setup(
    name='setuptools_gettext',
    version='%{version}',
    packages=find_packages(),
)
EOF

%build
%py3_build

%install
%py3_install

%check
%py3_check_import setuptools_gettext

%files -n python3-setuptools-gettext
%doc README.md
%license COPYING
%{python3_sitelib}/setuptools_gettext/
%{python3_sitelib}/setuptools_gettext-%{version}-py%{python3_version}.egg-info/

%changelog
* Sun Nov 17 2024 Björn Lindström <bkhl@elektrubadur.se> - 0.1.14-1
- Updated to 0.1.14.

* Fri Jan 5 2024 Björn Lindström <bkhl@elektrubadur.se> - 0.1.8-2
- Override setup.py to provide package name and version.

* Fri Jan 5 2024 Björn Lindström <bkhl@elektrubadur.se> - 0.1.8-1
- Updated to 0.1.8.
- Removed patch for clarifying license, as that has now been done upstream.

* Thu May 4 2023 Björn Lindström <bkhl@elektrubadur.se> - 0.1.3-2
- Add missing dist tag in release number.

* Sat Apr 29 2023 Björn Lindström <bkhl@elektrubadur.se> - 0.1.3-1
- Initial package.
